Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

use Perl Log In

Log In

[ Create a new account ]

drhyde (1683)

drhyde
  (email not shown publicly)
http://www.cantrell.org.uk/david

Journal of drhyde (1683)

Friday November 23, 2007
12:51 PM

CPANdeps now cares about perl version numbers

[ #34962 ]

CPANdeps now cares about what version of perl you're running. It lets you restrict test results to just the specified version, or look at all versions.

It also now uses Parse::CPAN::Packages instead of CPAN.pm to figure out what distribution each module lives in. That means that I now no longer have the huge startup time of CPAN.pm to worry about, so can drop mod_perl. Phew!

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • Now, to show my gratitude, another feature request! The ability to say "5.8.*"
    --
    rjbs
    • Your wish is my command.

      It also now filters core modules somewhat more intelligently.

    • I was thinking more along the lines of a range instead of a wildcard...

      There's ranges like "5.6.1 to 5.8.8" (the currently toolchain version range) that are interesting.

      For unicode there's ranges like "5.8.5 to current" that are interesting.

      If we can get two separate From and To boxes, I think that may be preferable.